Bug 1008449 - Missing javadoc for org.apache.ws.security
Missing javadoc for org.apache.ws.security
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Other (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ER6
: EAP 6.2.0
Assigned To: Yong Yang
Jakub Cechacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 07:41 EDT by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:12:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Cechacek 2013-09-16 07:41:42 EDT
Current javadoc is missing documentation for following jars and packages 
/home/jcechace/tools/eap/eap6/620/jboss-eap-6.2/modules/system/layers/base/org/apache/ws/security/main/wss4j-1.6.11.redhat-1.jar
19 missing:
   org.apache.ws.security
   org.apache.ws.security.action
   org.apache.ws.security.cache
   org.apache.ws.security.components.crypto
   org.apache.ws.security.conversation
   org.apache.ws.security.conversation.dkalgo
   org.apache.ws.security.handler
   org.apache.ws.security.message
   org.apache.ws.security.message.token
   org.apache.ws.security.processor
   org.apache.ws.security.saml
   org.apache.ws.security.saml.ext
   org.apache.ws.security.saml.ext.bean
   org.apache.ws.security.saml.ext.builder
   org.apache.ws.security.spnego
   org.apache.ws.security.str
   org.apache.ws.security.transform
   org.apache.ws.security.util
   org.apache.ws.security.validate


Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:
Comment 1 Misty Stanley-Jones 2013-10-09 23:16:47 EDT
I'm not sure what the right component is for Javadoc bugs, but Documentation should be used for formal documentation maintained by Content Services. Javadoc does not fall under this category. Maybe we need a new component for it?
Comment 2 Yong Yang 2013-10-12 04:14:01 EDT
This artifact was excluded from javadoc generation before 6.2.0 due to some error. Now it has been fixed in Jenkins, https://jenkins.mw.lab.eng.bos.redhat.com/hudson/job/EAP6-javadoc/75/, and will be included in next ER. 


FYI:
$ cat build/javadoc/artifactsBlacklist.txt 
org.jboss.as:jboss-as-controller-client
org.jboss:jboss-dmr
org.jboss.jbossts:jbossxts
org.jboss.jbossts:jbossxts-api
org.jboss.weld:weld-core
org.picketbox:picketbox-commons
xalan:serializer
org.apache.ws.security:wss4j
Comment 3 Yong Yang 2013-10-18 06:29:33 EDT
These javadocs are generated in EAP6.2.0 ER6.
Comment 4 Jakub Cechacek 2013-10-22 03:36:33 EDT
verified 6.2.0.ER6

Note You need to log in before you can comment on or make changes to this bug.